function linkrevive()
  {
   var nodes = document.getElementsByTagName("span");
   var textnd;
   var linknd;
   var s,v;
   var enkle;
   var ier;
   for (s=nodes.length-1; s>=0; s--)
       { // bei span mit title="pvdlink id" und "pvdlink url" Verknüpfung basteln
        if (nodes[s].className=="pvdlink" && (nodes[s].title.length>13 && nodes[s].title.substring(8,10)=="id" || nodes[s].title.length>14 && nodes[s].title.substring(8,11)=="url"))
           {
            enkle = nodes[s].childNodes;
            ier = "";
            for (v=0; v<enkle.length; v++)
                {
                 if (enkle[v].nodeType==3) {ier += enkle[v].data;} // Text aus span zusammenfügen
                 v=0;
                }
            if (ier.length>0)
               {
                linknd = document.createElement("a");
                textnd = document.createTextNode(ier);
                if (nodes[s].title.charAt(8)=='i') //pvdlink id...
                {
                 ier = "movie" + nodes[s].title.substring(12,nodes[s].title.length-1) + ".html";
                 v=0;
                }
                else // pvdlink url...
                {
                 ier = nodes[s].title.substring(13,nodes[s].title.length-1);
                 if (ier.charAt(0)=='"')
                 {
                  v = ier.lastIndexOf('"');
                  if (v<=1) {v=ier.length();}
                  ier = "file:///" + ier.substring(1,v);
                 }
                 else if (ier.length>1 && (ier.charAt(1)==':' || ier.charAt(1)=='|'))
                 {ier = "file:///" + ier;}
                 ier = ier.replace(/\\/g, "/");
                 ier = ier.replace(/ /g, "%20");
                 v=1;
                }
                linknd.setAttribute("href",ier);
                if (v) {linknd.setAttribute("target","_parent");}
                linknd.appendChild(textnd);
                nodes[s].parentNode.replaceChild(linknd, nodes[s]);
               }
           }
       }
  }

